package com.android.example;

import com.android.example.R;
import android.app.Activity;
import android.content.Intent;
import android.view.Menu;
import android.view.MenuItem;

public class BaseActivity extends Activity {

	@Override
	public void onBackPressed() {
	}
	
	@Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }
    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
    	
    	Intent intent = null;
    	
    	switch (item.getItemId()) {
		
    	case android.R.id.home:

			intent = new Intent(this, MainActivity.class);
			intent.setFlags(Intent.FLAG_ACTIVITY_REORDER_TO_FRONT);
		    this.startActivity(intent);

		    return true;

		case R.id.main:
			
			intent = new Intent(this, MainActivity.class);
			intent.setFlags(Intent.FLAG_ACTIVITY_REORDER_TO_FRONT);
		    this.startActivity(intent);
		    
		    return true;

		case R.id.action_settings:
			
			intent = new Intent(this, SettingsActivity.class);
			intent.setFlags(Intent.FLAG_ACTIVITY_REORDER_TO_FRONT);
		    this.startActivity(intent);

		    return true;

		default:
			return super.onOptionsItemSelected(item);
		}
    	
    }
    
}
